Package com.explodingpixels.macwidgets

## Class MacFontUtils

- java.lang.Object
- - com.explodingpixels.macwidgets.MacFontUtils

    public class MacFontUtils
    extends java.lang.Object

### Field Summary

Fields
`static java.awt.Font` `BOLD_LABEL_FONT`
`static java.awt.Font` `DEFAULT_BUTTON_FONT`
`static java.awt.Font` `DEFAULT_FONT`
`static float` `DEFAULT_FONT_SIZE`
`static java.awt.Font` `DEFAULT_LABEL_FONT`
`static java.awt.Font` `HUD_BUTTON_FONT`
`static float` `HUD_FONT_SIZE`
`static java.awt.Font` `ITUNES_FONT`
`static java.awt.Font` `ITUNES_TABLE_HEADER_FONT`
`static java.awt.Font` `TOOLBAR_LABEL_FONT`

### Constructor Summary

Constructors
`MacFontUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `enableAntialiasing​(java.awt.Graphics2D g2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_FONT_SIZE

    public static final float DEFAULT_FONT_SIZE

See Also:
  Constant Field Values

#### HUD_FONT_SIZE

    public static final float HUD_FONT_SIZE

See Also:
  Constant Field Values

#### DEFAULT_FONT

    public static final java.awt.Font DEFAULT_FONT

#### ITUNES_FONT

    public static final java.awt.Font ITUNES_FONT

#### ITUNES_TABLE_HEADER_FONT

    public static final java.awt.Font ITUNES_TABLE_HEADER_FONT

#### TOOLBAR_LABEL_FONT

    public static final java.awt.Font TOOLBAR_LABEL_FONT

#### DEFAULT_BUTTON_FONT

    public static final java.awt.Font DEFAULT_BUTTON_FONT

#### HUD_BUTTON_FONT

    public static final java.awt.Font HUD_BUTTON_FONT

#### DEFAULT_LABEL_FONT

    public static final java.awt.Font DEFAULT_LABEL_FONT

#### BOLD_LABEL_FONT

    public static final java.awt.Font BOLD_LABEL_FONT

### Constructor Detail

#### MacFontUtils

    public MacFontUtils()

### Method Detail

#### enableAntialiasing

    public static void enableAntialiasing​(java.awt.Graphics2D g2)